% eegplugin_bci2000legacy() - Plugin to import legacy BCI2000 Matlab files
%
% Usage:
%   >> eegplugin_legacy(fig, trystrs, catchstrs);
%
% Inputs:
%   fig        - [integer] eeglab figure.
%   trystrs    - [struct] "try" strings for menu callbacks.
%   catchstrs  - [struct] "catch" strings for menu callbacks.
%
% Author: Arnaud Delorme, UCSD, 2018
%
% See also: eeglab()

% Copyright (C) 2018 Arnaud Delorme, UCSD
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1.07  USA

function vers = eegplugin_bci2000legacy(fig, trystrs, catchstrs)

vers = 'bci2000legacy1.0';
if nargin < 3
    error('eegplugin_bci2000legacy requires 3 arguments');
end;

% find tools menu
% ---------------
neuro_m = findobj(fig, 'tag', 'import data');

% command to check that the '.source' is present in the EEG structure
% -------------------------------------------------------------------
cb_loadbci     = [ 'try, [EEG LASTCOM] = pop_loadbci;'      catchstrs.new_and_hist ];
uimenu( neuro_m, 'Label', 'From BCI2000 ASCII file', 'CallBack', cb_loadbci,    'Separator', 'on'); 
